/*********************************************************************

Name:		Raytracer
Author:		Kamil Szatkowski "Netrix" (C)
Website:	http://www.netrix.org.pl/

*********************************************************************/
#pragma once
#include "NLib/nMath.hpp"
#include "NLib/nDynamicTable.hpp"
#include "Lights.hpp"

/* No groups, all lights taken */
class OldLights
{
public:
	OldLights();

	bool loadLights(const char* szFile);
	void releaseLights();

	void saveLights(const char* szFile);
	
	operator bool() { return m_bLoaded; }

private:
	bool m_bLoaded;

	NIne::NDynamicTable<LightInfo> m_aLights;
};